Go to the first, previous, next, last section, table of contents.

### `defpoly_mod2`

`defpoly_mod2(d)`
  :: Generates an irreducible univariate polynomial over GF(2).

return
  univariate polynomial
d
  positive integer

- Defined in ``fff'`.
- An irreducible univariate polynomial of degree d is returned.
- If an irreducible trinomial x^d+x^m+1 exists, then the one with the smallest m is returned. Otherwise, an irreducible pentanomial x^d+x^m1+x^m2+x^m3+1 (m1>m2>m3 is returned. m1, m2 and m3 are determined as follows: Fix m1 as small as possible. Then fix m2 as small as possible. Then fix m3 as small as possible.

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.